/**
 * File: /src/components/Button/index.tsx
 * Project: @native-theme-ui/core
 * File Created: 17-06-2022 07:34:18
 * Author: Clay Risser
 * -----
 * Last Modified: 17-08-2022 12:18:33
 * Modified By: Clay Risser
 * -----
 * Risser Labs LLC (c) Copyright 2021 - 2022
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import React, { ComponentProps } from "react";
declare const StyledPressable: React.ComponentType<import("dripsy").StyledProps<"buttons"> & ((Pick<import("react-native").PressableProps & React.RefAttributes<import("react-native").View>, "key" | keyof import("react-native").PressableProps> & React.RefAttributes<React.Component<import("react-native").PressableProps & React.RefAttributes<import("react-native").View>, any, any>>) | (import("react-native").PressableProps & React.RefAttributes<import("react-native").View> & {
    children?: React.ReactNode;
})) & {
    showCursor: boolean;
}>;
export declare type StyledPressableProps = Omit<ComponentProps<typeof StyledPressable>, "showCursor">;
declare const Button: React.ForwardRefExoticComponent<Pick<StyledPressableProps & {
    children?: React.ReactNode;
    hidden?: boolean | undefined;
    variant?: string | undefined;
} & import("./props").TextPropsBucket, "children" | "onLayout" | "onPress" | "onPressIn" | "onPressOut" | "onLongPress" | "style" | "testID" | "nativeID" | "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityRole" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "onMagicTap" | "accessibilityIgnoresInvertColors" | "key" | "as" | "variant" | "themeKey" | "sx" | "variants" | "onBlur" | "onFocus" | "hitSlop" | "pointerEvents" | "removeClippedSubviews" | "collapsable" | "needsOffscreenAlphaCompositing" | "renderToHardwareTextureAndroid" | "focusable" | "shouldRasterizeIOS" | "isTVSelectable" | "hasTVPreferredFocus" | "tvParallaxProperties" | "tvParallaxShiftDistanceX" | "tvParallaxShiftDistanceY" | "tvParallaxTiltAngle" | "tvParallaxMagnification" | "onStartShouldSetResponder" | "onMoveShouldSetResponder" | "onResponderEnd" | "onResponderGrant" | "onResponderReject" | "onResponderMove" | "onResponderRelease" | "onResponderStart" | "onResponderTerminationRequest" | "onResponderTerminate" | "onStartShouldSetResponderCapture" | "onMoveShouldSetResponderCapture" | "onTouchStart" | "onTouchMove" | "onTouchEnd" | "onTouchCancel" | "onTouchEndCapture" | "autoContrast" | "hidden" | "cancelable" | "delayLongPress" | "disabled" | "pressRetentionOffset" | "android_disableSound" | "android_ripple" | "testOnly_pressed" | "unstable_pressDelay"> & React.RefAttributes<import("react-native").View>>;
export declare type ButtonProps = ComponentProps<typeof Button>;
export default Button;
