(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "react", "dripsy"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("react"), require("dripsy"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.dripsy);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _react, _dripsy) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;
  _react = _interopRequireDefault(_react);

  /**
   * File: /src/components/Donut/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 13-06-2022 00:51:44
   * Author: Clay Risser
   * -----
   * Last Modified: 17-08-2022 06:54:27
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */
  //  import { View, SxProp } from 'dripsy';
  //export interface DonutProps extends ViewProps {
  //sx?: SxProp;
  //max?: Number;
  //value?: Number;
  //}
  const Donut = props => {
    const size = 128;
    const strokeWidth = 2;
    const value = 0;
    const min = 0;
    const max = 1;
    const r = 16 - strokeWidth;
    const C = 2 * r * Math.PI;
    const offset = C - (value - min) / (max - min) * C;
    const sx = { ...Donut.defaultSx,
      ...props.sx
    };
    return /*#__PURE__*/_react.default.createElement(_dripsy.Box, {
      sx: { ...sx
      }
    });
  };

  Donut.defaultProps = {};
  Donut.defaultSx = {
    border: "3px solid black",
    width: "50px",
    height: "50px",
    borderRadius: "50px",
    strokeWidth: "2px",
    fill: "none",
    stroke: "currentcolor",
    color: "primary",
    borderColor: "secondary",
    fontSize: "text"
  };
  var _default = Donut;
  _exports.default = _default;
});
//# sourceMappingURL=index.js.map