(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "dripsy"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("dripsy"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.dripsy);
    global.useThemeLookup = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _dripsy) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = useThemeLookup;

  /**
   * File: /src/hooks/useThemeLookup.ts
   * Project: @native-theme-ui/core
   * File Created: 13-06-2022 00:52:46
   * Author: Clay Risser
   * -----
   * Last Modified: 17-08-2022 06:54:27
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */
  function useThemeLookup() {
    const sx = (0, _dripsy.useSx)();
    return (key, value) => {
      return sx(value ? {
        [key]: value
      } : {})[key];
    };
  }
});
//# sourceMappingURL=useThemeLookup.js.map